2011-2014
Khronos Group
gl_PointSize
3G

# gl_PointSize

contains size of rasterized points, in pixels

## Declaration

out highp
float `gl_PointSize`

## Description

The variable `gl_PointSize` is intended for a vertex shader to write the size of the point to be rasterized. It is measured in pixels. If `gl_PointSize` is not written to, its value is undefined in subsequent pipeline stages.

## Version Support

gl_PointSize

## See Also

gl_Position

## Copyright

Copyright 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.